Class InterconnectList.Builder (1.91.0)

public static final class InterconnectList.Builder extends GeneratedMessageV3.Builder<InterconnectList.Builder> implements InterconnectListOrBuilder

Response to the list request, and contains a list of interconnects.

Protobuf type google.cloud.compute.v1.InterconnectList

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addAllItems(Iterable<? extends Interconnect> values)

public InterconnectList.Builder addAllItems(Iterable<? extends Interconnect> values)

A list of Interconnect resources.

repeated .google.cloud.compute.v1.Interconnect items = 100526016;

Parameter
Name Description
values Iterable<? extends com.google.cloud.compute.v1.Interconnect>
Returns
Type Description
InterconnectList.Builder

addItems(Interconnect value)

public InterconnectList.Builder addItems(Interconnect value)

A list of Interconnect resources.

repeated .google.cloud.compute.v1.Interconnect items = 100526016;

Parameter
Name Description
value Interconnect
Returns
Type Description
InterconnectList.Builder

addItems(Interconnect.Builder builderForValue)

public InterconnectList.Builder addItems(Interconnect.Builder builderForValue)

A list of Interconnect resources.

repeated .google.cloud.compute.v1.Interconnect items = 100526016;

Parameter
Name Description
builderForValue Interconnect.Builder
Returns
Type Description
InterconnectList.Builder

addItems(int index, Interconnect value)

public InterconnectList.Builder addItems(int index, Interconnect value)

A list of Interconnect resources.

repeated .google.cloud.compute.v1.Interconnect items = 100526016;

Parameters
Name Description
index int
value Interconnect
Returns
Type Description
InterconnectList.Builder

addItems(int index, Interconnect.Builder builderForValue)

public InterconnectList.Builder addItems(int index, Interconnect.Builder builderForValue)

A list of Interconnect resources.

repeated .google.cloud.compute.v1.Interconnect items = 100526016;

Parameters
Name Description
index int
builderForValue Interconnect.Builder
Returns
Type Description
InterconnectList.Builder

addItemsBuilder()

public Interconnect.Builder addItemsBuilder()

A list of Interconnect resources.

repeated .google.cloud.compute.v1.Interconnect items = 100526016;

Returns
Type Description
Interconnect.Builder

addItemsBuilder(int index)

public Interconnect.Builder addItemsBuilder(int index)

A list of Interconnect resources.

repeated .google.cloud.compute.v1.Interconnect items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
Interconnect.Builder

addRepeatedField(Descriptors.FieldDescriptor field, Object value)

public InterconnectList.Builder addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Parameters
Name Description
field FieldDescriptor
value Object
Returns
Type Description
InterconnectList.Builder
Overrides

build()

public InterconnectList build()
Returns
Type Description
InterconnectList

buildPartial()

public InterconnectList buildPartial()
Returns
Type Description
InterconnectList

clear()

public InterconnectList.Builder clear()
Returns
Type Description
InterconnectList.Builder
Overrides

clearField(Descriptors.FieldDescriptor field)

public InterconnectList.Builder clearField(Descriptors.FieldDescriptor field)
Parameter
Name Description
field FieldDescriptor
Returns
Type Description
InterconnectList.Builder
Overrides

clearId()

public InterconnectList.Builder clearId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
InterconnectList.Builder

This builder for chaining.

clearItems()

public InterconnectList.Builder clearItems()

A list of Interconnect resources.

repeated .google.cloud.compute.v1.Interconnect items = 100526016;

Returns
Type Description
InterconnectList.Builder

clearKind()

public InterconnectList.Builder clearKind()

Output only. [Output Only] Type of resource. Alwayscompute#interconnectList for lists of interconnects.

optional string kind = 3292052;

Returns
Type Description
InterconnectList.Builder

This builder for chaining.

clearNextPageToken()

public InterconnectList.Builder clearNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
InterconnectList.Builder

This builder for chaining.

clearOneof(Descriptors.OneofDescriptor oneof)

public InterconnectList.Builder clearOneof(Descriptors.OneofDescriptor oneof)
Parameter
Name Description
oneof OneofDescriptor
Returns
Type Description
InterconnectList.Builder
Overrides
public InterconnectList.Builder clearSelfLink()

Output only. [Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
InterconnectList.Builder

This builder for chaining.

clearWarning()

public InterconnectList.Builder clearWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
InterconnectList.Builder

clone()

public InterconnectList.Builder clone()
Returns
Type Description
InterconnectList.Builder
Overrides

getDefaultInstanceForType()

public InterconnectList getDefaultInstanceForType()
Returns
Type Description
InterconnectList

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getId()

public String getId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
String

The id.

getIdBytes()

public ByteString getIdBytes()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
ByteString

The bytes for id.

getItems(int index)

public Interconnect getItems(int index)

A list of Interconnect resources.

repeated .google.cloud.compute.v1.Interconnect items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
Interconnect

getItemsBuilder(int index)

public Interconnect.Builder getItemsBuilder(int index)

A list of Interconnect resources.

repeated .google.cloud.compute.v1.Interconnect items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
Interconnect.Builder

getItemsBuilderList()

public List<Interconnect.Builder> getItemsBuilderList()

A list of Interconnect resources.

repeated .google.cloud.compute.v1.Interconnect items = 100526016;

Returns
Type Description
List<Builder>

getItemsCount()

public int getItemsCount()

A list of Interconnect resources.

repeated .google.cloud.compute.v1.Interconnect items = 100526016;

Returns
Type Description
int

getItemsList()

public List<Interconnect> getItemsList()

A list of Interconnect resources.

repeated .google.cloud.compute.v1.Interconnect items = 100526016;

Returns
Type Description
List<Interconnect>

getItemsOrBuilder(int index)

public InterconnectOrBuilder getItemsOrBuilder(int index)

A list of Interconnect resources.